### Function

# ECal ComponentAlarmInstance new

since: 3.34

#### Declaration [src]

    ECalComponentAlarmInstance*
    e_cal_component_alarm_instance_new (
      const gchar* uid,
      time_t instance_time,
      time_t occur_start,
      time_t occur_end
    )

#### Description [src]

Creates a new `ECalComponentAlarmInstance` structure, filled with the given values. Free the instance with e_cal_component_alarm_instance_free(), when no longer needed.

Available since: 3.34

#### Parameters

`uid`

  Type: `const gchar*`

  UID of the alarm.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`instance_time`

  Type: `time_t`

  Instance time, i.e. “5 minutes before the appointment”.

`occur_start`

  Type: `time_t`

  Actual event occurrence start to which this instance corresponds.

`occur_end`

  Type: `time_t`

  Actual event occurrence end to which this instance corresponds.

#### Return value

Type: `ECalComponentAlarmInstance`

A newly allocated `ECalComponentAlarmInstance`.

The caller of the function takes ownership of the data, and is responsible for freeing it.